<template>
  <v-app-bar
    color="red lighten-2"
    dense
    dark
    max-height="50px"
  >
    <router-link :to="{ name: 'Home' }">
      <img id="logo-image" src="@/assets/logo.png" alt="">
    </router-link>

    <v-toolbar-title>Pokedex</v-toolbar-title>
    <v-spacer></v-spacer>
    <v-text-field
      hide-details
      append-icon="search"
      single-line
      v-model="busqueda" @keyup.enter="search()"
    ></v-text-field>

  </v-app-bar>

</template>

<script>
// import PokemonService from '@/services/PokemonServices'
export default {
  data(){
    return {
      busqueda: null
    }
  },
  methods:{
    search(){
      // PokemonService.getPokemon(this.busqueda)
      // .then(response=>{
      //     this.$router.push('/pokemon/'+response.data.id)
      // })

    }
  }

}
</script>

<style scoped>

#logo-image {
  width: 70px;
  height: 70px;
  margin-top: 5px;
}
#bolitas {
  width: 80px;
  height: 80px;
  margin-top: 5px;
}

input {
  margin: 5px;
  width: 92%;
}

#card {
  margin-left: 1%;
  width: 40%;
}

</style>
